Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util.xml
Class ElementValueBuilder

    java.lang.Object
      com.servingxml.util.xml.ElementValueBuilder

All Implemented Interfaces:
  Receiver

    public class ElementValueBuilder

extends java.lang.Object
implements Receiver

Field Summary

Fields inherited from interface com.servingxml.util.xml.Receiver
`UNDEFINED_SYMBOL`

Constructor Summary
`ElementValueBuilder(Name name)`

Method Summary
`void` | `bind(ReceiverContext context)`
`void` | `characters(ReceiverContext context, char[] ch, int start, int length)`
`void` | `childReceived(int symbol)`
`void` | `endElement(ReceiverContext context)`
`java.lang.String` | `getAttributeValue(int i)`
`Name` | `getName()`
`java.lang.String` | `getString()`
`int` | `getSymbol()`
`void` | `startElement(ReceiverContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementValueBuilder

    public ElementValueBuilder(Name name)

Method Detail

### getSymbol

    public int getSymbol()

  Specified by:
    `getSymbol` in interface `Receiver`

### bind

    public void bind(ReceiverContext context)

  Specified by:
    `bind` in interface `Receiver`

### startElement

    public void startElement(ReceiverContext context)

  Specified by:
    `startElement` in interface `Receiver`

### characters

    public void characters(ReceiverContext context,
                           char[] ch,
                           int start,
                           int length)

  Specified by:
    `characters` in interface `Receiver`

### childReceived

    public void childReceived(int symbol)

  Specified by:
    `childReceived` in interface `Receiver`

### endElement

    public void endElement(ReceiverContext context)

  Specified by:
    `endElement` in interface `Receiver`

### getString

    public java.lang.String getString()

### getName

    public Name getName()

  Specified by:
    `getName` in interface `Receiver`

### getAttributeValue

    public java.lang.String getAttributeValue(int i)

  Specified by:
    `getAttributeValue` in interface `Receiver`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD